package com.rf.conversion.user.dao.model;

import com.rf.conversion.base.model.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zsy
 * @description:用户转换记录表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_user_conversion")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_user_conversion", comment = "用户转换记录表")
public class UserConversionEntity extends BaseEntity {

    @Column(name = "user_id", columnDefinition = "varchar(36) not null comment '用户ID'")
    private String userId;

    @Column(name = "task_id", columnDefinition = "varchar(60) not null comment '任务ID'")
    private String taskId;

    @Column(name = "type", columnDefinition = "varchar(20) not null comment '类型'")
    private String type;

    @Column(name = "upload_name", columnDefinition = "varchar(100) not null comment '上传文件名称'")
    private String uploadName;

    @Column(name = "handle_name", columnDefinition = "varchar(100) not null comment '处理后文件名称'")
    private String handleName;

}
