package com.rf.conversion.user.dao.repository;

import com.rf.conversion.base.repository.BaseRepository;
import com.rf.conversion.user.dao.model.UserConversionEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.Query;

/**
 * @Description: 用户转换文件相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface UserConversionRepository extends BaseRepository<UserConversionEntity, String> {

    @Query(value = "select * from t_user_conversion where user_id = ?1 ORDER BY create_time desc ",
            countQuery = "select * from t_user_conversion where user_id = ?1 ", nativeQuery = true)
    Page<UserConversionEntity> findUserConversionList(String userId, PageRequest of);
}
