package com.rf.conversion.user.service.impl;

import com.rf.conversion.user.dao.model.UserConversionEntity;
import com.rf.conversion.user.dao.repository.UserConversionRepository;
import com.rf.conversion.user.service.UserConversionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;


/**
 * @Description: 用户转换文件相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class UserConversionServiceImpl implements UserConversionService {

    @Autowired
    private UserConversionRepository userConversionRepository;

    @Override
    public UserConversionEntity save(UserConversionEntity userConversionEntity) {
        return this.userConversionRepository.save(userConversionEntity);
    }

    @Override
    public Page<UserConversionEntity> findUserConversionList(String userId, int beginNum, int pageSize) {
        return this.userConversionRepository.findUserConversionList(userId, PageRequest.of(beginNum - 1, pageSize));
    }

}
